View Issue Details

IDProjectCategoryView StatusLast Update
0000945OpenMPT[All Projects] libopenmptpublic2017-05-25 11:06
ReportermanxAssigned Tomanx 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000945: add libopenmpt_ext C interface
Description

The C API should be as versatile as the C++ API. We needs to design a simple way to expose the experimental extension APIs also in the C API.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0000774 assignedmanx Merge some of libopenmpt_ext into libopenmpt 

Activities

manx

manx

2017-05-25 11:06

administrator   ~0003036

Implemented in r8214 .

Issue History

Date Modified Username Field Change
2017-04-30 09:43 manx New Issue
2017-04-30 09:43 manx Status new => assigned
2017-04-30 09:43 manx Assigned To => manx
2017-04-30 09:44 manx Relationship added related to 0000774
2017-05-24 10:21 manx Target Version OpenMPT 1.?? (libopenmpt 1.0) (goals) => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-05-25 11:06 manx Status assigned => resolved
2017-05-25 11:06 manx Resolution open => fixed
2017-05-25 11:06 manx Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-05-25 11:06 manx Note Added: 0003036